#
# Conditional build:
%bcond_with	libproxy	# build libproxy compatible library
#
Summary:	PACrunner - Proxy configuration daemon
Summary(pl.UTF-8):	PACrunner - demon do konfiguracji proxy
Name:		pacrunner
Version:	0.19
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	https://www.kernel.org/pub/linux/network/connman/%{name}-%{version}.tar.xz
# Source0-md5:	941198c5998de353d50be0e0104a6c75
# pacrunner.org is dead
URL:		http://www.ohloh.net/p/pacrunner
BuildRequires:	curl-devel >= 7.16
BuildRequires:	dbus-devel >= 1.2
BuildRequires:	glib2-devel >= 1:2.16
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	curl-libs >= 7.16
Requires:	dbus >= 1.2
Requires:	glib2 >= 1:2.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PACrunner provides a daemon for processing proxy configuration and
providing information to clients over D-Bus.

%description -l pl.UTF-8
PACrunner zawiera demona do przetwarzania konfiguracji proxy i
udostępniania informacji klientom poprzez D-Bus.

%package libproxy
Summary:	PACrunner based proxy configuration library
Summary(pl.UTF-8):	Biblioteka do konfiguracji proxy oparta na PACrunnerze
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description libproxy
PACrunner based proxy configuration library (compatible with
libproxy).

%description libproxy -l pl.UTF-8
Biblioteka do konfiguracji proxy oparta na PACrunnerze (zgodna z
libproxy).

%package libproxy-devel
Summary:	Header file for PACrunner libproxy library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki PACrunnera libproxy
Group:		Development/Libraries
Requires:	%{name}-libproxy = %{version}-%{release}

%description libproxy-devel
Header file for PACrunner libproxy library.

%description libproxy-devel -l pl.UTF-8
Plik nagłówkowy biblioteki PACrunnera libproxy.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--enable-curl \
	--enable-duktape \
	%{?with_libproxy:--enable-libproxy}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with libproxy}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libproxy.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libproxy -p /sbin/ldconfig
%postun	libproxy -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO doc/*.txt
%attr(755,root,root) %{_sbindir}/pacrunner
/etc/dbus-1/system.d/pacrunner.conf
/usr/share/dbus-1/system-services/org.pacrunner.service

%if %{with libproxy}
%files libproxy
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/manual-proxy-test
%attr(755,root,root) %{_bindir}/proxy
%attr(755,root,root) %{_libdir}/libproxy.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libproxy.so.1

%files libproxy-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libproxy.so
%{_includedir}/proxy.h
%{_pkgconfigdir}/libproxy-1.0.pc
%endif
%changelog
* Mon Nov 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pacrunner.git;a=log;h=master

* Sat Aug 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 106ac4f
- updated to 0.19

* Tue Dec 15 2020 Jakub Bogusz <qboosh@pld-linux.org> f2f9442
- updated to 0.18 (duktape 2.6.0)

* Thu Nov 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 0824739
- updated to 0.17 (duktape 2.5.0)

* Sat Aug 31 2019 Jakub Bogusz <qboosh@pld-linux.org> f8383ea
- updated to 0.16; mozjs and v8 support dropped, only duktape is supported (2.4.0 included now)

* Sun Nov 25 2018 Jakub Bogusz <qboosh@pld-linux.org> 4c9bfec
- updated to 0.15

* Sat Aug 25 2018 Jakub Bogusz <qboosh@pld-linux.org> 2625793
- updated to 0.14

* Sat Apr 14 2018 Jakub Bogusz <qboosh@pld-linux.org> c3b0331
- updated to 0.13
- added bcond to build libproxy dropin

* Fri May 12 2017 Jakub Bogusz <qboosh@pld-linux.org> fb82e70
- updated to 0.11

* Thu Oct 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 6184e99
- updated to 0.10
- enable duktape JS engine

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> cd7bc1f
- updated to 0.9

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> a6335a8
- updated to 0.8

* Fri Jul 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 3995d85
- updated to 0.7

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> ba73f00
- updated to 0.6

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> ee61b15
- new

